cgD3D11SetTextureParameter(3)

NAME
cgD3D11SetTextureParameter - sets the value of a texture parameter

SYNOPSIS
  #include <Cg/cgD3D11.h>

  void cgD3D11SetTextureParameter( CGparameter param,
                                   ID3D11Resource * texture );

PARAMETERS

param
    The texture parameter that will be set.

texture
    An D3D texture to which the parameter will be set.

RETURN VALUES
None.

DESCRIPTION
cgD3D11SetTextureParameter sets the value of a texture parameter to a given D3D11 texture object.

EXAMPLES
  ID3D11Resource *myTexture;
  // Assume myTexture is loaded here...

  // .. and param is an effect sampler parameter
  cgD3D11SetTextureParameter( param, myTexture );

ERRORS
CG_INVALID_PARAM_HANDLE_ERROR is generated if param is not a valid parameter handle.

HISTORY
cgD3D11SetTextureParameter was introduced in Cg 3.0.

SEE ALSO
cgD3D11SetManageTextureParameters